<?php 
class skin_lab {

function js_dim($w, $h) {
return <<<EOF
<tr>
<td><b>Dimensioni attuali:</b> <td><input type="text" style="font-weight: bold" name="da" size="30" value="{$w} x {$h}" />
EOF;
}

function resize() {
global $jsclass;
return <<<EOF
{$jsclass->lab->skin->menu()}
<h2><img src="sources/lab/resize.png" align="middle"> Ridimensiona immagini</h2>
<form action="?act=lab" method="POST">
<table width="500">
<tr>
<td colspan="2" align="left"><b>Info:</b> in link immagine inserisci l'url dell'immagine che vuoi ridimensionare, 
in <i>Nuove dimensioni</i> inserisci invece le nuove dimensioni che avr&agrave; l'immagine ricordandoti che dovranno essere scritte in questo modo: <b>larghezza</b> x <b>altezza</b>.
<br />
Nell'ultimo campo inserisci invece il nome che avr&agrave; la nuova immagine.
<br />
<br />
<tr>
<td nowrap><b>Link dell'immagine:</b>
<td><input type="hidden" name="sec" value="resize" /><input type="text" name="image" size="70" value="{$jsclass->input['img']}" />
{$jsclass->lab->js_dim()}
<tr>
<td><b>Nuove dimensioni:</b> <td><input type="text" name="size" size="30" style="font-weight: bold" />
<tr>
<td><b>Salva con il nome:</b> <td><input type="text" name="name" size="50" value="{$jsclass->lab->js_default()}" />
<tr>
<td colspan="2" align="center"><br /><input type="submit" value="Ridimensiona" class="forminput" />
</table>
<br />
</form>
EOF;
}

function resize_fail() {
global $jsclass;
return <<<EOF
<h3>Resize dell'immagine fallito: ricontrolla i dati inseriti</h3>
EOF;
}

function text_fail() {
global $jsclass;
return <<<EOF
<h3>Aggiunta del testo all'immagine fallito: ricontrolla i dati inseriti</h3>
EOF;
}

function resize_ok() {
global $jsclass;
return <<<EOF
<h2>Resize eseguito:</h2>
<div align="center" class="upload" style="width: 700px;" align="center">
<table border="0">
<tr>
<td colspan="2" align="center">
<a href="{$jsclass->lab->output}"><img src="{$jsclass->lab->output}"></a>
<br /><br />
<tr>
<td><b>BBCode</b>:
<td><input type="text" size="100" value="[IMG]{$jsclass->lab->get_url( 'index.php' )}[/IMG]" />

<tr>
<td><b>Html</b>:
<td><input type="text" size="100" value="&lt;img src=&quot;{$jsclass->lab->get_url( 'index.php' )}&quot; alt=&quot;Image&quot;&gt;" />

<tr>
<td><b>Link diretto</b>:
<td><input type="text" size="100" value="{$jsclass->lab->get_url( 'index.php' )}" />

</table>
</div>
<br />
{$jsclass->back}
EOF;
}

function home() {
global $jsclass;
return <<<EOF
<h2>Jolteon-Shack Image Lab</h2>
Tramite questa nuova funzione del JS potrai elaborare parzialmente le tue immagini. <br />
Scegli dal menu qui sotto il tool da utilizzare.<br />
{$jsclass->lab->skin->menu()}
EOF;
}

function menu() {
global $jsclass;
return <<<EOF
<div class="menu" style="width: 700px; font-weight: bold; padding: 10px;">
<a href="?act=lab&amp;sec=resize">Ridimensiona immagini</a>
<a href="?act=lab&amp;sec=text">Applica testo</a>
</div>
EOF;
}

function text() {
global $jsclass;
return <<<EOF
{$jsclass->lab->skin->menu()}
<h2><img src="sources/lab/text.png" align="middle"> Applica testo</h2>
<form action="?act=lab" method="POST">
<table width="500">
<tr>
<td colspan="2" align="left"><b>Info:</b> in link immagine inserisci l'url dell'immagine che vuoi modificare, 
in <i>Testo da applicare</i> inserisci invece la scritta che vuoi applicare all'immagine.
<br />
<br />
<tr>
<td nowrap><b>Link dell'immagine:</b>
<td><input type="hidden" name="sec" value="text" />
<input type="text" name="image" size="70" value="{$jsclass->input['img']}" />
<tr>
<td><b>Testo da applicare:</b> <td><input type="text" name="text" size="30" style="font-weight: bold" />
<tr>
<td><b>Font da utilizzare:</b> <td><select name="font" style="font-weight: bold">{$jsclass->lab->js_fontlist()}</select>
<tr>
<td><b>Colore font:</b> <td><select name="color"><option value="white">Bianco</option><option value="black">Nero</option></select>
<tr>
<td><b>Salva con il nome:</b> <td><input type="text" name="name" size="50" value="{$jsclass->lab->js_default()}" />
<tr>
<td colspan="2" align="center"><br /><input type="submit" value="Aggiungi testo" class="forminput" />
</table>
<br />
</form>
EOF;
}

function text_ok() {
global $jsclass;
return <<<EOF
<h2>Testo applicato:</h2>
<div align="center" class="upload" style="width: 700px;" align="center">
<table border="0">
<tr>
<td colspan="2" align="center">
<a href="{$jsclass->lab->output}"><img src="{$jsclass->lab->output}"></a>
<br /><br />
<tr>
<td><b>BBCode</b>:
<td><input type="text" size="100" value="[IMG]{$jsclass->lab->get_url( 'index.php' )}[/IMG]" />

<tr>
<td><b>Html</b>:
<td><input type="text" size="100" value="&lt;img src=&quot;{$jsclass->lab->get_url( 'index.php' )}&quot; alt=&quot;Image&quot;&gt;" />

<tr>
<td><b>Link diretto</b>:
<td><input type="text" size="100" value="{$jsclass->lab->get_url( 'index.php' )}" />

</table>
</div>
<br />
{$jsclass->back}
EOF;
}

}
?>