<?php

/*
 ***********************************
 *	Name:	Jolteon-Shack 4.0b
 *	Author:	Jolteon
 *	Date: 	13/12/2008
 ***********************************
 */
		

ini_set('display_errors', 0);

define( 'JOLTEON', TRUE );

define( 'ROOT', dirname( __FILE__ ) ."/" );

define( 'SOURCES', 'sources/' );

define( 'SKIN', 'skin/' );

define( 'TEMPLATE', 'template/' );

define( 'PHP_EXT', '.php' );

$INFO = array();

class Jolteon {

	var $content;

	var $upload;
	
	var $lab;
	
	var $title;
	
	var $mod;

	var $uplist;

	var $input;

	var $extension;

	var $admin;

	var $back = '&lt;( <a href="javascript:history.go(-1)">indietro</a> )<br /><br />';

	var $version = "<br /><i>Jolteon-Shack 4.0</i>";

/* 
 * ==================================
 * Grandezza massima files upload
 * ==================================
 */

	var $max_file_size = 21474836480;

/* 
 * ==================================
 * Variabili e funzioni varie per
 * l'upload dei files
 * ==================================
 */

	var $estensioni_consentite = array();

	var $opzioni_upload = array();

	var $percorso_file = '';
	
	function max_size( $valore ) {
		$this->max_file_size = $valore;
	}
	
	function estensioni_ok( $array ) {
 		$this->estensioni_consentite = $array;
	}

	function opzioni_up( $array ) {
		$this->opzioni_upload = $array;
	}

/* 
 * ==================================
 * Upload dei files
 * ==================================
 */
 
	function upload_file( $nome_campo_form, $cartella_upload, $type ) { 
		$overwrite = 1; 
		$nome_file = $_FILES[$nome_campo_form]['name'];
		if($this->max_file_size != 0) {
			if($_FILES[$nome_campo_form]['size'] > $this->max_file_size) {
				$this->title = "Il File  troppo Grande!";
				$this->upload = FALSE;
			}
		}
		foreach( $this->opzioni_upload as $key => $value ) {
			if($key == 'lock_ext') {
  				if($value == 1) {
					$file_split = explode( ".", $nome_file );
					$estensione = array_pop($file_split);
					foreach( $this->extension[ $type ] as $valore ) {
						if($estensione == $valore) {
							$ext[] = 1;
						} else {
							$ext[] = 0;
						}
					}
				$msg = (in_array('1', $ext) == FALSE ) ? 0: 1;
				} else {
					$msg = 1;
				}
			}
			if($key == 'overwrite')	{
				if($value == 1)	{
					$overwrite = 1;
				} else {
					$overwrite = 0;
				}
			}
		}
		if( $msg == 0 ) {
			$this->title = "Estensione non consentita!";
			$this->upload = FALSE;
		} else {
		if( is_uploaded_file( $_FILES[$nome_campo_form]['tmp_name'] ) )	{
			if($overwrite == 0) {
				if(file_exists($cartella_upload.$nome_file)) {
					$casnum = rand(0,9999999999);
					$filenome = $this->dividi_nome($nome_file);
					$nome_file = $filenome.'-'.$casnum.$estensione;
				}
			}
			if(move_uploaded_file($_FILES[$nome_campo_form]['tmp_name'], $cartella_upload.$nome_file)) {
				$this->percorso_file = $cartella_upload.$nome_file;
				$this->title = "Upload Riuscito!";
				$this->upload = TRUE;
			} else {
				$this->title = "Errore nell'Upload del File";
				$this->upload = FALSE;
			}
		} else {
			$this->title = "Errore nell'Upload del File";
			$this->upload = FALSE;
		}
		}
	}
 
/* 
 * ==================================
 * Moduli installati
 * ==================================
 */

	function js_modules() {
		$do = $this->js_listfiles('modules/');
		if (is_array($do)) {
			foreach( $do as $v ) {
				$m = array_shift(explode('-', $v)); $d = array_pop(explode('.', $v));
				if ( $m == 'js.module' and  $d == 'php') {
					preg_match('/js.module-(.*).php/U', $v, $x);
					$mod[] = "<a href='?act=module:{$x[1]}'>{$x[1]}</a>";
				}
			}
			$this->mod = implode('&nbsp;', $mod);
		} else {
			$this->mod = FALSE;
		}
	}

/* 
 * ==================================
 * Lista files / immagini standard
 * ==================================
 */

	function js_liststandard( $elements, $dir ) {
		$type = '<b><a href="<!--JS.DF-->" target="_blank"><!--JS.FILE--></a></b>';
		$arr1 = array('<!--JS.DF-->', '<!--JS.FILE-->');
		foreach( $elements as $key ) {
			$arr2 = array( $dir . $key, $key );
			$x[] = str_replace($arr1, $arr2, $type );
		}
		return implode('<br />', $x );
	}

/* 
 * ==================================
 * Files nelle cartelle
 * ==================================
 */

	function js_listfiles( $dir ) {
		if ($handle = opendir($dir)) {
			while (false !== ($file = readdir($handle))) {
				if ($file != '.' && $file != '..') {
					$elements[] = $file;
				}
			}
		closedir($handle);
		}
	return $elements;
	}

/* 
 * ==================================
 * Divisione del nome
 * ==================================
 */

	function dividi_nome($nome) {
 		$file_split = explode(".", $nome);
		$estensione = array_pop($file_split);
		$len_ext = strlen($estensione);
		$nomef = substr($nome, 0, (strlen($nome) - ($len_ext + 1)));
		return $nomef;
	}

/* 
 * ==================================
 * Url del file uppato
 * ==================================
 */

	function get_url($pagina_attuale) {	
		$risultato = 'http://' . $_SERVER["SERVER_NAME"] . str_replace($pagina_attuale,'',$_SERVER["PHP_SELF"]) . $this->percorso_file;
		return $risultato;
	}

/* 
 * ==================================
 * Funzione per ricavare le estensioni
 * dei files da 'extension'
 * ==================================
 */

	function js_extension() {
		global $jsclass;
		$file = implode( '', file( 'js.extension' ) );

		preg_match( '/<image>(.*)<\/image>/U', $file, $img );
		preg_match( '/<files>(.*)<\/files>/U', $file, $fil );	
		$data[0] = explode( '|', $img[1] );
		$data[1] = explode( '|', $fil[1] );
		
		$jsclass->extension = array( 'img' => $data[0], 'fls' => $data[1] );
	}

/*
 * ==================================
 * Estensioni min. e maiusc. delle
 * estensioni abilitate
 * ==================================
 */
 
	function js_upper( $ext ) {
		foreach ( $ext as $key ) {
			$x[] = strtolower( $key );
			$x[] = strtoupper( $key );
		}
		return $x;
	}
	
/* 
 * ==================================
 * Funzione per ricavare li dati admin
 * ==================================
 */

	function js_admindata() {
		$file = implode( '', file( 'js.admin' ) );

		preg_match( '/<user>(.*)<\/user>/U', $file, $usr );
		preg_match( '/<pass>(.*)<\/pass>/U', $file, $pwd );	
		
		return array( 'user' => $usr[1], 'pass' => $pwd[1] );
	}


/* 
 * ==================================
 * Visualizza estensioni
 * ==================================
 */

	function js_visualext( $array ) {
		foreach( $array as $v ) {
			$im[] = $v;
		}
		return implode( ', ', $im );
	}

/* 
 * ==================================
 * Funzione file missing
 * ==================================
 */

	function file_missing( $file ) {
		global $jsclass;
		$error =  "Il file {$file} non &egrave; stato trovato ed &egrave; stata arrestata l'esecuzione dello script";
		return $error . $jsclass->version;
	}


/*
 * ==================================
 * Assegnazione delle variabili
 * Get e Post in un array;
 * array $jsclass->input
 * ==================================
 */

	function js_input() {
           global $_GET, $_POST;
           $input = array();
			if( is_array( $_GET ) ) {
				while( list( $k, $v ) = each( $_GET ) )	{
                			$input[ $k ] = $v;
                       }
			}
          	if( is_array( $_POST ) ) {
			while( list( $k, $v ) = each( $_POST ) ) {
 				$input[ $k ] = $v;
			}
		}
         	return $input;
    	}

/*
 * ==================================
 * Sceglie il file da caricare per
 * il template
 * ==================================
 */

	function js_file() {
		global $jsclass;
			$file = file_get_contents( './template/home.html' );
		return $file;
	}

	
/*
 * ==================================
 * Aggiunge al template precedentemente
 * caricato tutto il contenuto
 * ==================================
 */
	
	function js_template() {
		global $jsclass, $menu;
		$new = str_replace('<!--JS.MENU-->', $menu->result, $jsclass->js_file() );
		$new = str_replace('<!--JS.CONTENT-->', $jsclass->content, $new);
		$mod = ($this->mod != false) ? '<td align="left" valign="middle" class="modules" width="1%" nowrap="nowrap">Moduli aggiuntivi: '.$this->mod.'</td>' : '<td>&nbsp;</td>';
		$new = str_replace('<!--JS.MODULES-->', $mod, $new);
			return $new;
	}
}

/*
 * =================================
 * Fine della $jsclass
 * =================================
 */


class Menu {

/*
 * =================================
 * in questa variabile sar poi
 * contenuto il menu html della
 * pagina visualizzata
 * =================================
 */

	var $result;

/*
 * =================================
 * Menu Home Page
 * =================================
 */

	function menu_home() {
		$items = array(
					   'idx' 		=> 	'Home Page',
					   'upimage' 	=> 	'Immagine',
					   'upfile' 	=> 	'File',
					   'list'		=>	'Lista Files Uppati',
					   'lab'		=>	'Js Lab',
					   'paste'		=>	'Js Nopaste',
					   'admin'		=> 	'Amministrazione',
					   );
		return $items;
	}

/*
 * =================================
 * Funzione che assembla il menu:
 * tutto in base alla pagina
 * visualizzata ( home / admin )
 * =================================
 */

	function build_menu( $items ) {
		foreach ( $items as $k => $v ) {
			$menu[] = "&raquo; <a href=\"?act={$k}\">{$v}</a>&nbsp;";
		}
		return implode('', $menu);
	}
}

/* 
 * ==================================
 * Assegnazione della class a una var
 * ==================================
 */

	$jsclass = new Jolteon;

/*
 * ==================================
 * Funzione per le estensioni e admin
 * ==================================
 */

	$jsclass->js_extension();

	$jsclass->admin = $jsclass->js_admindata();

/*
 * ==================================
 * Funzioni per il menu
 * ==================================
 */
 
 	$jsclass->js_modules();

	$menu = new Menu;

	$menu->result = $menu->build_menu( $menu->menu_home() ); 

/*
 * ==================================
 * Settaggio delle var Get e Post
 * ==================================
 */

	$jsclass->input = $jsclass->js_input();
 
	if ( $jsclass->input['act'] == "") {
		$jsclass->input['act'] = "idx";
	}

/*
 * ==================================
 * Aggiunge al template precedentemente
 * caricato tutto il contenuto
 * ==================================
 */

	$choice = array(
			"idx"		=>	"Home",
			"upfile" 	=>	"Upfile",
			"upimage"	=>	"Upimage",
			"list"		=>	"List",
			"admin"		=>	"Admin",
			"paste"		=>	"Nopaste",
			"lab"		=>	"ImageLab",
			"module"	=>	"Loader",
			);

/*
 * ===================================
 * Output del Template
 * ===================================
 */

	$module = explode( ":", $jsclass->input['act'] ); 

	if ( file_exists( ROOT . SOURCES . $choice[ $module[0] ] . PHP_EXT ) ) {
		require ROOT . SOURCES . $choice[ $module[0] ] . PHP_EXT;
	} else {
		$jsclass->content = $jsclass->file_missing( $choice[ $module[0] ] . PHP_EXT );
	}

/*
 * ===================================
 * Check installazione
 * ===================================
 */

	if( file_exists('install.lock')) {
		if ( $jsclass->input['paste'] == '00' ) {
			header( "Location: ./?act=paste&p=" . $name );
		}
		elseif ( $jsclass->input['paste'] == '01' ) {
			header( "Location: ./?act=paste" );
		}
		elseif ( $jsclass->input['sec'] == 'login' and $_POST ) {
			header( "Location: ./?act=admin" );
		} else {		
			echo $jsclass->js_template();
		}
	} else {
		header("Location: ./install.php");
	}

?>