<?php

/*
 * ==========================
 * ImageLab script
 * Pack: Jolteon-Shack 4
 * Author: Jolteon
 * ==========================
 */

class Lab {

	var $result;

	var $output;

	var $size;

	var $skin;
	
	function js_size() {
		global $jsclass;
		$wh = explode( 'x', trim( $jsclass->input['size'] ), 2 );
		list( $width, $height, $type, $attr ) = getimagesize( $jsclass->input['image'] );
		return array('nw' 	=>	$wh[0],
				    'nh'	=>	$wh[1],
				    'ow'	=>	$width,
				    'oh'	=>	$height,
				    );
	}

	function js_dim() {
		global $jsclass;
		if ( $_POST['img'] ) {
			list( $width, $height, $type, $attr ) = getimagesize( $jsclass->input['img'] );
			return $jsclass->lab->skin->js_dim( $width, $height );
		} else {
			return "<!--JS.SIZE-->";
		}
	}

	function js_default() {
		global $jsclass;
		if ( $jsclass->input['img'] ) {
			$info = pathinfo( $jsclass->input['img'] );
			$name = basename( $jsclass->input['img'] );
			return  str_replace( "." . $info['extension'], '', $name ) . '-copy';
		} else {
			return 'new-js-project';
		}
	}
	
	function js_fontlist() {
		if ($handle = opendir('./fonts/')) {
			while (false !== ($file = readdir($handle))) {
				$info = pathinfo($file); $ext = $info['extension'];
				if ($ext == 'gdf') {
					$elements[] = '<option value="' . $file . '">'. str_replace( '.' . $ext, '', basename( $file ) ) .'</option>';
				}
			}
		closedir($handle);
		}
	return implode( '', $elements );
	}
	
	function get_url($pagina_attuale) {	
		global $jsclass;
		$risultato = 'http://' . $_SERVER["SERVER_NAME"] . str_replace($pagina_attuale, '', $_SERVER["PHP_SELF"]) . $jsclass->lab->output;
		return $risultato;
	}

	function js_resize() {
		global $jsclass;
		$save = $jsclass->input['name'];
		if ( trim( $save ) != '' ) {
			$resize = imagecreatetruecolor($jsclass->lab->size['nw'], $jsclass->lab->size['nh']);
			$info = pathinfo( $jsclass->input['image'] );
			switch( strtolower( $info['extension'] ) ) {
				case png:
				$img = imagecreatefrompng( $jsclass->input['image'] );
				break;
				case jpeg:
				$img = imagecreatefromjpeg( $jsclass->input['image'] );
				break;
				case gif:
				$img = imagecreatefromgif( $jsclass->input['image'] );
				break;
				case jpg:
				$img = imagecreatefromjpeg( $jsclass->input['image'] );
				break;
			}
			imagecopyresized($resize, $img, 0, 0, 0, 0, 
					 $jsclass->lab->size['nw'],
					 $jsclass->lab->size['nh'], 
					 $jsclass->lab->size['ow'],
					 $jsclass->lab->size['oh']
					 );
			$new = (file_exists( 'images/' . $save . "." . $info['extension'] )) ? $name = 'images/' . rand(0, 99999999999999) . "." . $info['extension'] : 'images/' . $save . "." . $info['extension'];
			switch( strtolower( $info['extension'] ) ) {
				case png:
				imagepng( $resize, $new );
				break;
				case jpeg:
				imagejpeg( $resize, $new );
				break;
				case gif:
				imagegif( $resize, $new );
				break;
				case jpg:
				imagejpeg( $resize, $new );
				break;
			}
			$this->result = TRUE;
			$this->output = $new;
		} else {
			$this->result = FALSE;
		}		
	}
	
	function js_text() {
		global $jsclass;
		$save = $jsclass->input['name'];
		if ( trim( $save ) != '' ) {
			$info = pathinfo( $jsclass->input['image'] );
			switch( strtolower( $info['extension'] ) ) {
				case png:
				$img = imagecreatefrompng( $jsclass->input['image'] );
				break;
				case jpeg:
				$img = imagecreatefromjpeg( $jsclass->input['image'] );
				break;
				case gif:
				$img = imagecreatefromgif( $jsclass->input['image'] );
				break;
				case jpg:
				$img = imagecreatefromjpeg( $jsclass->input['image'] );
				break;
			}
			$font = imageloadfont( './fonts/' . $jsclass->input['font'] );
			$color = ($jsclass->input['color'] == 'white') ? imagecolorallocate( $img, 255, 255, 255 ) : imagecolorallocate( $img, 0, 0, 0 );
			imagestring( $img, $font, 1, 1, $jsclass->input['text'], $color );
			$new = (file_exists( 'images/' . $save . "." . $info['extension'] )) ? $name = 'images/' . rand(0, 99999999999999) . "." . $info['extension'] : 'images/' . $save . "." . $info['extension'];
			switch( strtolower( $info['extension'] ) ) {
				case png:
				imagepng( $img, $new );
				break;
				case jpeg:
				imagejpeg( $img, $new );
				break;
				case gif:
				imagegif( $img, $new );
				break;
				case jpg:
				imagejpeg( $img, $new );
				break;
			}
			$this->result = TRUE;
			$this->output = $new;
		} else {
			$this->result = FALSE;
		}		
	}
}

	$jsclass->lab = new Lab;

	$jsclass->lab->size = $jsclass->lab->js_size();


	require ROOT . SOURCES . 'lab/content.php';

	$jsclass->lab->skin = new skin_lab;

	if ( $jsclass->input['upimage'] == 'Aggiungi testo') {
		$jsclass->input['sec'] = 'text';
	}
	
	if ( $jsclass->input['upimage'] == 'Ridimensiona immagine') {
		$jsclass->input['sec'] = 'resize';
	}

switch ( $jsclass->input['sec'] ) {
case resize:

if (!$_POST['image']) {

	$jsclass->content = $jsclass->lab->skin->resize();

} else {

	$jsclass->lab->js_resize();

	if ( $jsclass->lab->result == TRUE ) {

		$jsclass->content = $jsclass->lab->skin->resize_ok();

	} else {

		$jsclass->content = $jsclass->lab->skin->resize_fail();
	}
}

break;
case text:
	
if (!$_POST['image']) {

	$jsclass->content = $jsclass->lab->skin->text();
	
} else {

	$jsclass->lab->js_text();

	if ( $jsclass->lab->result == TRUE ) {

		$jsclass->content = $jsclass->lab->skin->text_ok();

	} else {

		$jsclass->content = $jsclass->lab->skin->text_fail();
	}
}

break;
default:

	$jsclass->content = $jsclass->lab->skin->home();

break;
}
?>

	